/*
 ****************************************************************************
 *
 *  (c) Copyright 2013 BOE IDM. All rights reserved.
 *
 *  This software is proprietary to and embodies the confidential
 *  technology of BOE IDM. Possession, use, or copying of this
 *  software and media is authorized only pursuant to a valid written
 *  license from BOE IDM.
 *
 ****************************************************************************
 */

package com.cim.idm.wmspackage.user.management.data;

import com.cim.idm.framework.orm.info.KeyInfo;

/*
 ****************************************************************************
 *  PACKAGE : com.cim.idm.mespackage.user.management.data
 *  NAME    : UserMenuKey.java
 *  TYPE    : JAVA
 *  DESCRIPTION :
 *
 ****************************************************************************
 */

public class UserMenuKey implements KeyInfo
{

	private String	userId;
	private String	UIName;
	private String	menuName;

	public UserMenuKey()
	{

	}

	public UserMenuKey(String userId, String uiName, String menuName)
	{
		this.userId = userId;
		this.UIName = uiName;
		this.menuName = menuName;
	}

	public String getUserId()
	{
		return userId;
	}

	public void setUserId(String userId)
	{
		this.userId = userId;
	}

	public String getUIName()
	{
		return UIName;
	}

	public void setUIName(String uiName)
	{
		this.UIName = uiName;
	}

	public String getMenuName()
	{
		return menuName;
	}

	public void setMenuName(String menuName)
	{
		this.menuName = menuName;
	}

	@Override
	public String toString()
	{
		StringBuilder builder = new StringBuilder();
		builder.append("{UserId=");
		builder.append(userId);
		builder.append(", UIName=");
		builder.append(UIName);
		builder.append(", MenuName=");
		builder.append(menuName);
		builder.append("}");
		return builder.toString();
	}

}
